<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="type">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>type</refname>
    <refpurpose> Retourne le type d'une variable  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[i]=type(x)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>x  </term>
        <listitem>
          <para>objet Scilab
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>i  </term>
        <listitem>
          <para>entier
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>type(x)</literal> renvoie un entier donnant le code numérique du type de <literal>x</literal> définit comme suit :
  </para>
    <para>
     1 
    :  matrice réelle ou complexe.
  </para>
    <para>
     2 
    :  matrice polynomiale.
  </para>
    <para>
     4 
    :  matrice booléenne.
  </para>
    <para>
     5
    :  matrice creuse.
  </para>
    <para>
     6
    :  matrice creuse booléene.
  </para>
    <para>
     7
    :  matrice creuse Matlab.
  </para>
    <para>
     8
    :  matrice d'entiers codés sur 1, 2 ou 4 octets.
  </para>
    <para>
     9
    :  matrice de "handle" sur les objets graphiques.
  </para>
    <para>
     10 
    :  matrice de chaînes de caractères.
  </para>
    <para>
     11 
    :  fonction non-compilée (Code Scilab).
  </para>
    <para>
     13 
    :  fonction compilée (Code Scilab).
  </para>
    <para>
     14 
    :  fonction d'une librairie.
  </para>
    <para>
     15 
    :  liste.
  </para>
    <para>
     16 
    :  liste typée (tlist).
  </para>
    <para>
     17
    :  liste typée orientée matrice (mlist).
  </para>
    <para>
     128
    : pointeur (Voir <link linkend="lufact">lufact</link>).
  </para>
    <para>
     129
    : polynôme implicite utilisé pour indexer.
  </para>
    <para>
     130
    : fonction Scilab intrinsèque (Code C ou Fortran).
  </para>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="typeof">typeof</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
